Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.irplugin.wsclient
Class WSClient

    java.lang.Object
      com.jaspersoft.jasperserver.irplugin.wsclient.WSClient

    public class WSClient

extends java.lang.Object

Author:
  gtoffoli

Constructor Summary
`WSClient(JServer server)`

Method Summary
`ResourceDescriptor` | `addOrModifyResource(ResourceDescriptor descriptor, java.io.File inputFile)` Add or Modify a resource.
`void` | `delete(ResourceDescriptor descriptor)`
`void` | `delete(ResourceDescriptor descriptor, java.lang.String reportUnitUri)` Delete a resource and its contents Specify the reportUnitUri if you are deleting something inside this report unit.
`ResourceDescriptor` | `get(ResourceDescriptor descriptor, java.io.File outputFile)` Export a resource using the "get" ws and save the resource in the file specified by the user...
`ResourceDescriptor` | `get(ResourceDescriptor descriptor, java.io.File outputFile, java.util.List args)` Export a resource using the "get" ws and save the resource in the file specified by the user...
`ManagementService` | `getManagementService()`
`java.lang.String` | `getPassword()`
`JServer` | `getServer()`
`java.lang.String` | `getUsername()`
`java.lang.String` | `getVersion()` It returns a list of resourceDescriptors.
`java.lang.String` | `getWebservicesUri()`
`java.util.List` | `list(ResourceDescriptor descriptor)` It returns a list of resourceDescriptors.
`java.util.List` | `list(java.lang.String xmlRequest)` It returns a list of resourceDescriptors.
`java.util.List` | `listDatasources()` List all datasources.
`ResourceDescriptor` | `modifyReportUnitResource(java.lang.String reportUnitUri, ResourceDescriptor descriptor, java.io.File inputFile)`
`net.sf.jasperreports.engine.JasperPrint` | `runReport(ResourceDescriptor descriptor, java.util.Map parameters)`
`java.util.Map` | `runReport(ResourceDescriptor descriptor, java.util.Map parameters, java.util.List args)` This method run a report.
`void` | `setManagementService(ManagementService managementService)`
`void` | `setServer(JServer server)`
`void` | `setWebservicesUri(java.lang.String webservicesUri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSClient

    public WSClient(JServer server)
             throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### listDatasources

    public java.util.List listDatasources()
                                   throws java.lang.Exception

  List all datasources. It returns a list of resourceDescriptors.

  Throws:
    `java.lang.Exception`

### list

    public java.util.List list(ResourceDescriptor descriptor)
                        throws java.lang.Exception

  It returns a list of resourceDescriptors.

  Throws:
    `java.lang.Exception`

### getVersion

    public java.lang.String getVersion()
                                throws java.lang.Exception

  It returns a list of resourceDescriptors.

  Throws:
    `java.lang.Exception`

### list

    public java.util.List list(java.lang.String xmlRequest)
                        throws java.lang.Exception

  It returns a list of resourceDescriptors.

  Throws:
    `java.lang.Exception`

### delete

    public void delete(ResourceDescriptor descriptor)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### delete

    public void delete(ResourceDescriptor descriptor,
                       java.lang.String reportUnitUri)
                throws java.lang.Exception

  Delete a resource and its contents Specify the reportUnitUri if you are deleting something inside this report unit.

  Throws:
    `java.lang.Exception`

### get

    public ResourceDescriptor get(ResourceDescriptor descriptor,
                                  java.io.File outputFile)
                           throws java.lang.Exception

  Export a resource using the "get" ws and save the resource in the file specified by the user... If the outputFile is null, the argument "NO_ATTACHMENT" is added to the request in order of avoid the attachment trasmission.

  Throws:
    `java.lang.Exception`

### get

    public ResourceDescriptor get(ResourceDescriptor descriptor,
                                  java.io.File outputFile,
                                  java.util.List args)
                           throws java.lang.Exception

  Export a resource using the "get" ws and save the resource in the file specified by the user... If the outputFile is null, the argument "NO_ATTACHMENT" is added to the request in order of avoid the attachment trasmission.

  Throws:
    `java.lang.Exception`

### runReport

    public net.sf.jasperreports.engine.JasperPrint runReport(ResourceDescriptor descriptor,
                                                             java.util.Map parameters)
                                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### runReport

    public java.util.Map runReport(ResourceDescriptor descriptor,
                                   java.util.Map parameters,
                                   java.util.List args)
                            throws java.lang.Exception

  This method run a report. The return is an OperationResult. If the result is succesfull, the message contains a set of strings (one for each row) with the list of files attached complete of the relative path. I.e. main_report.html images/logo1.jpg images/chartxyz.jpg Arguments: The request must contains the descriptor of the report to execute (only the URI is used). Arguments can be attached to the descriptor as childs. Each argument is a ListItem, with the parameter name as Name and the object rapresenting the value as Value. Operation result Codes: 0 - Success 1 - Generic error

  Throws:
    `java.lang.Exception`

### addOrModifyResource

    public ResourceDescriptor addOrModifyResource(ResourceDescriptor descriptor,
                                                  java.io.File inputFile)
                                           throws java.lang.Exception

  Add or Modify a resource. Return the updated ResourceDescriptor

  Throws:
    `java.lang.Exception`

### getServer

    public JServer getServer()

### setServer

    public void setServer(JServer server)

### getUsername

    public java.lang.String getUsername()

### getPassword

    public java.lang.String getPassword()

### modifyReportUnitResource

    public ResourceDescriptor modifyReportUnitResource(java.lang.String reportUnitUri,
                                                       ResourceDescriptor descriptor,
                                                       java.io.File inputFile)
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getWebservicesUri

    public java.lang.String getWebservicesUri()

### setWebservicesUri

    public void setWebservicesUri(java.lang.String webservicesUri)

### getManagementService

    public ManagementService getManagementService()
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setManagementService

    public void setManagementService(ManagementService managementService)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.